Status

()

defect
P1
normal
VERIFIED FIXED
2 years ago
2 years ago

People

(Reporter: benjamin, Assigned: benjamin)

Tracking

unspecified
mozilla56
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox54 unaffected, firefox55+ verified, firefox56 verified)

Details

Attachments

(2 attachments)

(Assignee)

Description

2 years ago
Based on telemetry and comparison with other browser UI, pdol and I decided to completely disable the plugin infobar. We may add a small additional UI to the location bar, but the persistent/large infobar is not going to be it.
Comment hidden (mozreview-request)
(Assignee)

Updated

2 years ago
Assignee: nobody → benjamin
Status: NEW → ASSIGNED
Priority: -- → P1

Comment 2

2 years ago
mozreview-review
Comment on attachment 8882091 [details]
Bug 1377036 - Disable plugin infobars,

https://reviewboard.mozilla.org/r/153188/#review158382
Attachment #8882091 - Flags: review?(felipc) → review+
(Assignee)

Comment 4

2 years ago
Comment on attachment 8882091 [details]
Bug 1377036 - Disable plugin infobars,

Approval Request Comment
[Feature/Bug causing the regression]: plugin CTA
[User impact if declined]: too many infobars which are ignored
[Is this code covered by automated tests?]: no
[Has the fix been verified in Nightly?]: yes
[Needs manual test from QE? If yes, steps to reproduce]: worth retesting
* On a clean profile visit http://benjamin.smedbergs.us/tests/ctptests/flash-hidden.html
* a plugin infobar should not appear, but the plugin icon should still appear in the location bar
[List of other uplifts needed for the feature/fix]: none
[Is the change risky?]: no
[String changes made/needed]: none
Attachment #8882091 - Flags: approval-mozilla-beta?
Backed out for failing browser-chrome tests, e.g. browser_CTP_notificationBar.js:

https://hg.mozilla.org/integration/mozilla-inbound/rev/4ba1c894e6064a98ae41a3ec8a624c205c7f0990

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=5223ac33f4b4c5cf64ac275824f8ded2cc77ba40&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=110735986&repo=mozilla-inbound

[task 2017-06-29T15:28:28.703292Z] 15:28:28     INFO - TEST-START | browser/base/content/test/plugins/browser_CTP_notificationBar.js
[task 2017-06-29T15:28:39.674941Z] 15:28:39     INFO - TEST-INFO | started process screentopng
[task 2017-06-29T15:28:40.565092Z] 15:28:40     INFO - TEST-INFO | screentopng: exit 0
[task 2017-06-29T15:28:40.569048Z] 15:28:40     INFO - Buffered messages logged at 15:28:28
[task 2017-06-29T15:28:40.569309Z] 15:28:40     INFO - Entering test bound 
[task 2017-06-29T15:28:40.569535Z] 15:28:40     INFO - Leaving test bound 
[task 2017-06-29T15:28:40.569771Z] 15:28:40     INFO - Entering test bound 
[task 2017-06-29T15:28:40.571351Z] 15:28:40     INFO - Wait tab event: load
[task 2017-06-29T15:28:40.574467Z] 15:28:40     INFO - Tab event received: load
[task 2017-06-29T15:28:40.576973Z] 15:28:40     INFO - Buffered messages logged at 15:28:29
[task 2017-06-29T15:28:40.583667Z] 15:28:40     INFO - TEST-PASS | browser/base/content/test/plugins/browser_CTP_notificationBar.js | click-to-play-plugins notification appeared - 
[task 2017-06-29T15:28:40.585416Z] 15:28:40     INFO - Buffered messages finished
[task 2017-06-29T15:28:40.587330Z] 15:28:40     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/plugins/browser_CTP_notificationBar.js | Waited too long for the plugin-hidden notification bar - 
[task 2017-06-29T15:28:40.588961Z] 15:28:40     INFO - Stack trace:
[task 2017-06-29T15:28:40.592763Z] 15:28:40     INFO - chrome://mochitests/content/browser/browser/base/content/test/plugins

There are more failing tests in the log.
Flags: needinfo?(benjamin)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 8

2 years ago
mozreview-review
Comment on attachment 8882396 [details]
Bug 1377036 part 2 - test fixup to set correct prefs for infobar tests,

https://reviewboard.mozilla.org/r/153506/#review158680
Attachment #8882396 - Flags: review?(felipc) → review+

Comment 9

2 years ago
Pushed by bsmedberg@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/39c512c6ee5d
tests - fix tests to set correct prefs for infobar tests, r=felipe
https://hg.mozilla.org/integration/mozilla-inbound/rev/96c1b868f652
Disable plugin infobars, r=felipe

Comment 10

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/39c512c6ee5d
https://hg.mozilla.org/mozilla-central/rev/96c1b868f652
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla56
(Assignee)

Comment 11

2 years ago
The test fixup will need to be uplifted to beta with the other patch.
Flags: needinfo?(benjamin)
Comment on attachment 8882091 [details]
Bug 1377036 - Disable plugin infobars,

no more plugin infobar, beta55+
Attachment #8882091 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
(In reply to Benjamin Smedberg [:bsmedberg] from comment #4)
> [Is this code covered by automated tests?]: no
> [Has the fix been verified in Nightly?]: yes
> [Needs manual test from QE? If yes, steps to reproduce]: worth retesting
> * On a clean profile visit
> http://benjamin.smedbergs.us/tests/ctptests/flash-hidden.html
> * a plugin infobar should not appear, but the plugin icon should still
> appear in the location bar

Flagging this for manual testing.
Flags: qe-verify+
I've managed to reproduce this bug on an affected Nightly build from 2017-06-28. (using STR from comment 4)

This is verified fixed on latest Nightly 56.a01 (2017-07-10) and 55 Beta 7 (20170706085221) under Windows 10 x64, Mac OS X 10.11.5 and Ubuntu 16.04 x64 LTS.
Status: RESOLVED → VERIFIED
Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.